import { EventEmitter } from "../../stencil-public-runtime";
import { WizardSizesType, WizardColorType } from "./constants";
import { WizardItemEvent } from "./gov-wizard-item.types";
export declare class GovWizardItem {
    private h;
    private readonly triggerId;
    private readonly contentId;
    private hydrated;
    constructor();
    readonly host: HTMLGovWizardItemElement;
    /**
     * Style variation of the button.
     */
    readonly color?: WizardColorType;
    /**
     * Size of wizard
     */
    readonly size?: WizardSizesType;
    /**
     * Custom wizard item identifier. Otherwise, it will be generated
     */
    readonly identifier: string;
    /**
     * Defines weather the wizard item can be collapsible
     */
    readonly collapsible: boolean;
    /**
     * Makes the wizard component disabled.
     */
    readonly disabled: boolean;
    /**
     * Defines whether the accordion is open or closed by button
     */
    isExpanded: boolean;
    /**
     * Called when the accordion state changes
     */
    govChange: EventEmitter<WizardItemEvent>;
    private validateColor;
    private emmitChange;
    componentWillLoad(): void;
    connectedCallback(): void;
    render(): any;
    /**
     * Opening the Wizard
     */
    open(): Promise<void>;
    /**
     * Closing the Wizard
     */
    close(): Promise<void>;
    /**
     * Wizard switch
     */
    toggle(): Promise<void>;
    /**
     * Returns the current state of the component
     */
    currentState(): Promise<boolean>;
}
